Create base
Create a new base
AuthorizationBearer <token>
Bearer token authentication. Use your API key as the bearer token.
In: header
Base creation input
blueprintId?string
color?string
config?array<integer>
description?string
isTemplate?boolean
meta?array<integer>
name?string
prefix?string
spaceId?string
title?string
Response Body
curl -X POST "https://eu1.api.bivariant.com/v1/bases" \ -H "Content-Type: application/json" \ -d '{}'{
"collections": [
{
"baseId": "string",
"createdAt": "string",
"dbSchema": "string",
"description": "string",
"enabled": true,
"fields": [
{
"collectionId": "string",
"createdAt": "string",
"dbDataType": "string",
"defaultValue": [
0
],
"description": "string",
"format": "string",
"formula": "string",
"height": "string",
"hidden": true,
"id": "string",
"kind": null,
"name": "string",
"options": [
0
],
"order": 0,
"referenceId": "string",
"required": true,
"rollupFunction": "string",
"system": true,
"title": "string",
"updatedAt": "string",
"validation": [
0
],
"width": "string"
}
],
"fieldsOrder": [
"string"
],
"id": "string",
"kind": null,
"meta": [
0
],
"name": "string",
"order": 0,
"pinned": true,
"primary": "string",
"recordsSchema": [
0
],
"system": true,
"tags": [
"string"
],
"title": "string",
"updatedAt": "string",
"views": [
{
"collectionId": "string",
"createdAt": "string",
"description": "string",
"fields": [
{
"collectionId": "string",
"createdAt": "string",
"dbDataType": "string",
"defaultValue": [
0
],
"description": "string",
"format": "string",
"formula": "string",
"height": "string",
"hidden": true,
"id": "string",
"kind": null,
"name": "string",
"options": [
0
],
"order": 0,
"referenceId": "string",
"required": true,
"rollupFunction": "string",
"system": true,
"title": "string",
"updatedAt": "string",
"validation": [
0
],
"width": "string"
}
],
"filters": [
{
"children": [
{
"children": [],
"createdAt": "string",
"description": "string",
"fieldId": "string",
"id": "string",
"isDynamicValue": true,
"isGroup": true,
"logicalOperator": null,
"name": "string",
"operator": null,
"order": 0,
"parentId": "string",
"updatedAt": "string",
"value": "string",
"valueFieldId": "string",
"viewId": "string"
}
],
"createdAt": "string",
"description": "string",
"fieldId": "string",
"id": "string",
"isDynamicValue": true,
"isGroup": true,
"logicalOperator": null,
"name": "string",
"operator": null,
"order": 0,
"parentId": "string",
"updatedAt": "string",
"value": "string",
"valueFieldId": "string",
"viewId": "string"
}
],
"id": "string",
"kind": null,
"metadata": [
0
],
"name": "string",
"order": 0,
"password": "string",
"shareId": "string",
"sorts": [
{
"createdAt": "string",
"description": "string",
"direction": null,
"fieldId": "string",
"id": "string",
"name": "string",
"order": 0,
"updatedAt": "string",
"viewId": "string"
}
],
"title": "string",
"updatedAt": "string"
}
]
}
],
"color": "string",
"config": [
0
],
"createdAt": "string",
"description": "string",
"id": "string",
"isTemplate": true,
"meta": [
0
],
"name": "string",
"order": 0,
"prefix": "string",
"status": "string",
"title": "string",
"updatedAt": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}